# APRIORI_PYTHON_HEADER_START#################################################
#                                                          vi: set ts=8: sw=4:
# @(#) $Id: __init__.py,v 1.2 2003/07/25 14:58:18 th Exp $
#
#     Copyright (C)2001 APRIORI business solutions. All Rights Reserved.
#
#         This software is free for non-commercial use, and for use
#                   with APRIORI Editorial System (AES).
#                        Use it on your own risk!
#
# $Log: __init__.py,v $
# Revision 1.2  2003/07/25 14:58:18  th
# should work!
#
#
# APRIORI_PYTHON_HEADER_END###################################################
"""
HtmlArea Product

This product integrates HtmlArea 3 (alpha) into Zope.
"""
__doc__ = """HtmlArea3 for Zope"""
__version__ = '0.3'

import glob
from ImageFile import ImageFile

misc_ = { 'dialog.js':      ImageFile('dialog.js', globals()),
          'htmlarea.css':   ImageFile('htmlarea.css', globals()),
          'popup.css':      ImageFile('popup.css', globals()),
          'htmlarea.js':    ImageFile('htmlarea_zope.js', globals()),
          'reference.html': ImageFile('reference_zope.html', globals()),
         }

_path = '../lib/python/Products/HtmlArea3/'
_offset = len(_path)

languages = []
_pp = _path 
for name in glob.glob(_pp+'*.js'):
    newid = name[_offset:]
    if newid in misc_.keys():
        continue
    if newid.startswith('htmlarea-lang-'):
        languages.append(newid[14:-3]) # supported languages
    misc_[newid] = ImageFile(name[_offset:], globals())

_pp = _path + 'images/'
for name in glob.glob(_pp+'*.gif'):
    newid = name[_offset+7:]
    misc_[newid] = ImageFile(name[_offset:], globals())

_pp = _path + 'popups/'
misc_['about.html'] = ImageFile('popups/about_zope.html', globals())
for name in glob.glob(_pp+'*.html'):
    newid = name[_offset+7:]
    if newid in misc_.keys():
        continue
    misc_[newid] = ImageFile(name[_offset:], globals())
# for popup.js:
for name in glob.glob(_pp+'*.js'):
    newid = name[_offset+7:]
    if newid in misc_.keys():
        continue
    misc_[newid] = ImageFile(name[_offset:], globals())

import HtmlArea
HtmlArea.HtmlAreaMixin.HtmlArea3_languages = languages
